Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05019 Compiling Major Always Sep 23, 2012, 19:16 Dec 17, 2016, 03:03
Tester Scagazza View Status Public Platform MAME (Self-compiled)
Assigned To Resolution Invalid report OS Windows Vista/7 (64-bit)
Status [?] Closed Driver
Version 0.147 Fixed in Version Build 64-bit
Summary 05019: Error "Access denied" when compiling
Description When I try to compile 0.146u5 and 0.147 with the new compiling tool I got this error during compilation:
[code]
Compiling src/mame/drivers/nss.c...
Compiling src/mame/machine/snes.c...
Compiling src/mame/audio/snes_snd.c...
Compiling src/mame/video/snes.c...
Compiling src/mame/drivers/playch10.c...
Compiling src/mame/machine/playch10.c...
Compiling src/mame/video/playch10.c...
make: *** Accesso negato.
. Stop.
make: *** Waiting for unfinished jobs....
[/code]
The error "Access denied" is completely random, I mean it doesn't happen on the same file every time but it changes.
This is the script I use:
@echo off
path=C:\mingw\mingw64-w64\bin;%path%
cd C:\mingw\mingw64-w64\src
make all -j5 TARGETOS=win32 PTR64=1
pause
I have tried to redownload the tool package but the problem still remains.
The compilation is fine using the old tool with the same script.
I have win 7 Home premium x64 with 8 GB of ram.
Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems
Attached Files
png file icon mame compile.png (42,665 bytes) Sep 24, 2012, 12:31 Uploaded by robiza
robiza
Relationships
There are no relationsihp linked to this issue.
Notes
21
User avatar
No.08948
Fujix
Administrator
Sep 24, 2012, 03:22
I also have Win 7 64-bit and compiled the 64-bit build, no problem occurred.
I have no idea what is the cause of the problem.
User avatar
No.08950
hap
Developer
Sep 24, 2012, 08:05
*closing*
maybe ask for help on one of the community forums? like mameworld
User avatar
No.08951
robiza
Developer
Sep 24, 2012, 12:28
edited on: Sep 24, 2012, 12:29
I confirm the issue with 64 bit tools and windows 7

User avatar
No.08952
Tafoid
Administrator
Sep 24, 2012, 12:41
Strange. The only thing I can see is that the SRC is pointed at the same location as the tools. Generally, there is a clear separations where sources are not so integrated into the build tools. Robiza, did you duplicate using the same path as Scagazza?
User avatar
No.08953
robiza
Developer
Sep 24, 2012, 12:47
edited on: Sep 24, 2012, 12:49
My path is: c:\trunk\src
the tools are located in c:\mingw\mingw64-w64

my batch:
c:
set path=\mingw\mingw64-w64\bin
cd trunk
make -j3 TARGET=mame CLEAN
make -j3 TARGET=mame

if i close the window and restart the compiling process i get the exe
some times i need 20 make, some times only 1

probably a problem with the tools or with windows seven

User avatar
No.08954
robiza
Developer
Sep 24, 2012, 13:29
a workaround is to set the privilege flag "execute as administrator" of all files in the bin folder
User avatar
No.08955
Tafoid
Administrator
Sep 24, 2012, 13:35
So, it's a Windows 7 issue more than a MAME or compiler tool issue?
User avatar
No.08961
Haze
Senior Tester
Sep 24, 2012, 16:36
sound like the compiler tools aren't behaving and thus randomly requiring admin privileges to me.
User avatar
No.08967
Haze
Senior Tester
Sep 25, 2012, 18:36
um, I'm not sure I'd consider it an invalid report..

if the compiler isn't behaving and requires the user to be elevated to admin level it is a problem with the choice of toolchain.
User avatar
No.08973
NekoEd
Senior Tester
Sep 27, 2012, 01:05
It could be some strange corner case the toolchain is hitting, or some kind of little Windows glitch it's tripping over. But I don't think it's anything to do with MAME, myself.
User avatar
No.08974
Lord Nightmare
Developer
Sep 27, 2012, 01:39
The issue definitely affects me here too on win7 professional x64, and has ever since I got this laptop with win7
It may be some conflict with symantec antivirus or microsoft security essentials, or perhaps something else
It can be worked around by manually killing off make.exe from task manager when it inevitably gets stuck, and is much less of a problem when the system is under light load. Hence it happens less when you do make -j1 instead of the normal number of threads.

LN
User avatar
No.08983
robiza
Developer
Sep 29, 2012, 07:07
edited on: Sep 29, 2012, 07:08
reopened

User avatar
No.08984
Scagazza
Tester
Sep 29, 2012, 10:22
It's not a problem of toolchain it's a specific problem of the package mingw-mame-w64-20120807.exe.
If you use the package mingw-mame-20120807.exe (32-bit and 64-bit) or the so-called hard way to setup the compiling enviroment and compile 64bit exe there is no error.
User avatar
No.08985
robiza
Developer
Sep 29, 2012, 15:44
i get the same error with mingw-mame-20120807.exe (32-bit and 64-bit)
User avatar
No.09586
Tafoid
Administrator
Jun 6, 2013, 01:12
Is this still a problem for people with the newest toolchain?
User avatar
No.09588
Mamesick
Senior Tester
Jun 6, 2013, 20:48
Since latest environment (the one with QT and Python included) has been available, I completely forgot this issue. Though I have to mention that I installed the package with Administrator privileges (which is default on my Windows 7... I disabled completely UAC).
User avatar
No.10302
Osso
Developer
Feb 17, 2014, 19:43
Does this still reproduce for someone?
User avatar
No.10304
Robbbert
Developer
Feb 18, 2014, 06:33
edited on: Feb 18, 2014, 06:34
Never happened for me.

I don't believe it's up to mamedev to fix problems on individual pcs or os's, nor to fix bugs in the compiler.
If it was a compiler problem for everyone, then the best we could do is to use a newer version.

User avatar
No.10307
Haze
Senior Tester
Feb 19, 2014, 04:40
I've seen this from time to time, and other similar things, kinda rare tho.
User avatar
No.10676
etabeta
Developer
May 4, 2014, 05:42
Swos (from MAMEItalia boards) reports that he can still reproduce the issue with 64bit compiling tools, but that it only happens with a -jN option.
plain make does never give the ACCESS DENIED error
User avatar
No.13484
Robbbert
Developer
Dec 17, 2016, 03:03
Make sure Application Experience service is turned on.

Closing as invalid, as this is an individual user local issue.